datablock ParticleData(TauCannon_FlashParticle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 50;
	lifetimeVarianceMS   = 15;
	textureName          = "base/data/particles/dot";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "1.0 1.0 0.3 0.6";
	colors[1]     = "1.0 0.7 1.0 0.0";
	sizes[0]      = 1.8;
	sizes[1]      = 0.0;


	useInvAlpha = false;
};
datablock ParticleEmitterData(TauCannon_FlashEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 120.0;
   velocityVariance = 60.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 10;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "TauCannon_FlashParticle";

   uiName = "Tau Cannon MuzzleFlash";
};

// ALT FIRE

datablock ParticleData(TauCannon_HugeFlashParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 15;
	textureName          = "base/data/particles/dot";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.0 0.3 0.9 0.6";
	colors[1]     = "1.0 1.0 1.0 0.0";
	sizes[0]      = 3.8;
	sizes[1]      = 0.0;
	times[0]      = 0.0;
	times[1]	  = 0.1;

	useInvAlpha = false;
};
datablock ParticleEmitterData(TauCannon_HugeFlashEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 60.0;
   velocityVariance = 59.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 30;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "TauCannon_HugeFlashParticle";

   uiName = "Tau Cannon Huge MuzzleFlash";
};

// COOL OFF

datablock ParticleData(TauCannon_CoolDownParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 250;
	lifetimeVarianceMS   = 15;
	textureName          = "base/data/particles/dot";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.9 0.3 0.0 0.6";
	colors[1]     = "1.0 1.0 1.0 0.0";
	sizes[0]      = 0.1;
	sizes[1]      = 0.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(TauCannon_CoolDownEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 10.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "TauCannon_CoolDownParticle";

   uiName = "Tau Cannon Cooldown";
};