datablock ParticleData(TauCannon_TrailParticle)
{
	dragCoefficient      = 120;
	gravityCoefficient   = -0.0;
	inheritedVelFactor   = 1.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 0;
	textureName          = "base/data/particles/dot";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "1.0 1.0 0.3 0.6";  // white
	colors[1]     = "0.8 0.8 0.0 1.0";  // yellow
	colors[2]     = "0.5 0.3 0.1 1.0";  // orange
	sizes[0]      = 0.56;
	sizes[1]      = 0.24;
	sizes[2]	  = 0.13;
	times[0]      = 0.0;
	times[1]	  = 0.8;
	times[2]      = 1.0;

	useInvAlpha = false;
	
};

datablock ParticleEmitterData(TauCannon_TrailEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 2.0;
   velocityVariance = 1.9;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 20;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "TauCannon_TrailParticle";
   uiname = "Tau Cannon Trail";
};


// ALTENRATE Trail

datablock ParticleData(TauCannon_AltTrailParticle)
{
	dragCoefficient      = 60;
	gravityCoefficient   = -0.0;
	inheritedVelFactor   = 1.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 251;
	lifetimeVarianceMS   = 250;
	textureName          = "base/data/particles/dot";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "1.0 1.0 1.0 0.6";  // white
	colors[1]     = "1.0 1.0 1.0 1.0";  // yellow
	colors[2]     = "0.0 0.0 1.0 1.0";  // orange
	sizes[0]      = 0.3;
	sizes[1]      = 0.9;
	sizes[2]	  = 1.9;
	times[0]      = 0.0;
	times[1]	  = 0.8;
	times[2]      = 1.0;

	useInvAlpha = false;
	
};

datablock ParticleEmitterData(TauCannon_AltTrailEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 2.0;
   velocityVariance = 1.9;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "TauCannon_AltTrailParticle";
   uiname = "Tau Cannon Alt Trail";
};