///////////// Muzzlesmoke

datablock ParticleData(TauCannon_SmokeParticle)
{
	dragCoefficient      = 10;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 250;
	lifetimeVarianceMS   = 55;
	textureName          = "base/data/particles/dot";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.5 0.5 0.5 0.6";
	colors[1]     = "0.7 0.4 0.0 0.0";
	sizes[0]      = 0.9;
	sizes[1]      = 0.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(TauCannon_SmokeEmitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 12.0;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "TauCannon_SmokeParticle";

   uiName = "Tau Cannon Smoke";
};