AddDamageType("TauCannon",   '<bitmap:Add-Ons/Weapon_TauCannon/image/ci_TauCannon> %1',    '%2 <bitmap:Add-Ons/Weapon_TauCannon/image/ci_TauCannon> %1',1,1);
AddDamageType("TauCannonAlt",   '<bitmap:Add-Ons/Weapon_TauCannon/image/ci_TauCannonRadius> %1',    '%2 <bitmap:Add-Ons/Weapon_TauCannon/image/ci_TauCannonRadius> %1',1,0);




datablock ProjectileData(TauCannon_Projectile)
{
   //projectileShapeName = "Add-Ons/Weapon_TauCannon_/bullet.dts";
   projectileShapeName = "base/data/shapes/empty.dts";
   directDamage        = 20;
   directDamageType    = $DamageType::TauCannon;
   radiusDamageType    = $DamageType::TauCannon;
   
   sound = "";

   brickExplosionRadius = 0.25;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 1;
   brickExplosionMaxVolume = 1;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 2;  //max volume of bricks that we can destroy if they aren't connected to the ground

   impactImpulse	     = 2500;
   verticalImpulse	  = 50;
   explosion           = TauCannon_Projectile_Explosion;
   particleEmitter     = TauCannon_TrailEmitter; //bulletTrailEmitter;

   muzzleVelocity      = 200;
   velInheritFactor    = 1;

   armingDelay         = 100;
   lifetime            = 1000;
   fadeDelay           = 3500;
   bounceElasticity    = 0.6;
   bounceFriction      = 0;
   isBallistic         = true;
   gravityMod = 0.0;
   
	explodeondeath						= false;
	
   hasLight    = false;
   lightRadius = 4.0;
   lightColor  = "0 0.6 0.6";

   uiName = "Tau Cannon Projectile";
};

datablock ProjectileData(TauCannon_AltProjectile)
{
   projectileShapeName = "base/data/shapes/empty.dts";
   directDamage        = 400;
   directDamageType    = $DamageType::TauCannonAlt;
   radiusDamageType    = $DamageType::TauCannonAlt;
   
   sound = "";

   brickExplosionRadius = 1;
   brickExplosionImpact = false;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 30;             
   brickExplosionMaxVolume = 30;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 60;  //max volume of bricks that we can destroy if they aren't connected to the ground

   impactImpulse	     = 2500;
   verticalImpulse	  = 50;
   explosion           = TauCannon_Projectile_AltExplosion;
   particleEmitter     = TauCannon_AltTrailEmitter; //bulletTrailEmitter;

   muzzleVelocity      = 200;
   velInheritFactor    = 1;

   armingDelay         = 0;
   lifetime            = 1000;
   fadeDelay           = 3500;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.5;
   isBallistic         = false;
   gravityMod = 0.0;
   
	explodeondeath						= false;
	
   hasLight    = false;
   lightRadius = 4.0;
   lightColor  = "0 0.6 0.6";

   uiName = "Tau Cannon Alt Projectile";
};